﻿.d-none {
  display: none;
}

[required] {
  border-right: 2px solid #f00 !important;
}
.red-tooltip + .tooltip.top > .tooltip-inner {
  background-color: red;
  color: #ff0;
}
.red-tooltip + .tooltip.top > .tooltip-arrow {
  border-top-color: red;
}
.red-tooltip + .tooltip.bottom > .tooltip-inner {
  background-color: red;
  color: #ff0;
}
.red-tooltip + .tooltip.bottom > .tooltip-arrow {
  border-bottom-color: red;
}
.red-tooltip + .tooltip.right > .tooltip-inner {
  background-color: red;
  color: #ff0;
}
.red-tooltip + .tooltip.right > .tooltip-arrow {
  border-right-color: red;
}
.red-tooltip + .tooltip.left > .tooltip-inner {
  background-color: red;
  color: #ff0;
}
.red-tooltip + .tooltip.left > .tooltip-arrow {
  border-right-color: red;
}
label.has-error.red-tooltip {
  position: absolute;
  left: 0px;
  top: 0px;
  z-index: 10;
  background: #f00;
  color: #fff;
  padding: 4px;
  border-radius: 2px;
  font-size: 10px;
  white-space: nowrap;
  max-width: initial !important;
}
.input-group label.has-error.red-tooltip {
  left: 0px;
  top: -25px;
}
.checkbox-inline label.has-error.red-tooltip {
  left: auto;
  right: 0px;
}
.form-group {
  position: relative;
}
.customlist-items label.red-tooltip {
  width: auto !important;
  left: 15px !important;
}
.d-none {
  display: none;
}

[required] {
  border-right: 2px solid #f00 !important;
}
.red-tooltip + .tooltip.top > .tooltip-inner {
  background-color: red;
  color: #ff0;
}
.red-tooltip + .tooltip.top > .tooltip-arrow {
  border-top-color: red;
}
.red-tooltip + .tooltip.bottom > .tooltip-inner {
  background-color: red;
  color: #ff0;
}
.red-tooltip + .tooltip.bottom > .tooltip-arrow {
  border-bottom-color: red;
}
.red-tooltip + .tooltip.right > .tooltip-inner {
  background-color: red;
  color: #ff0;
}
.red-tooltip + .tooltip.right > .tooltip-arrow {
  border-right-color: red;
}
.red-tooltip + .tooltip.left > .tooltip-inner {
  background-color: red;
  color: #ff0;
}
.red-tooltip + .tooltip.left > .tooltip-arrow {
  border-right-color: red;
}
label.has-error.red-tooltip {
  position: absolute;
  left: 0px;
  top: 0px;
  z-index: 10;
  background: #f00;
  color: #fff;
  padding: 4px;
  border-radius: 2px;
  font-size: 10px;
  white-space: nowrap;
  max-width: initial !important;
}
.input-group label.has-error.red-tooltip {
  left: 0px;
  top: -25px;
}
.checkbox-inline label.has-error.red-tooltip {
  left: auto;
  right: 0px;
}
.form-group {
  position: relative;
}
.customlist-items label.red-tooltip {
  width: auto !important;
  left: 15px !important;
}

/* --------------- Custom ----------------- */

.ats_Wrapper {
  padding: 40px 64px;
  border-radius: 24px;
  border: 1px solid var(--secondary-100, #e6e7ee);
  background: var(--gray-color-100, #fff);
  box-shadow: 0 4px 56px 0 rgba(18, 18, 18, 0.08);
}

.ats_Header {
  color: var(--Primary-P20, #006156);
  text-align: center;
  font-size: 22px;
  font-weight: 700;
  line-height: 40px;
  margin-bottom: 40px;
}

.ats_Wrapper h6 {
  display: none;
}

.ats_Wrapper .ats_Input_Field {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 24px;
  border: none !important;
}

.ats_Input_Item {
  position: relative;
}

.ats_Input_Item label {
  margin: 0;
  background-color: #fff;
  padding-inline: 8px;
  position: absolute;
  top: -14px;
  right: 10px;
  color: var(--Gray-G40, #626262);
  font-size: 12px;
  font-weight: 400;
  line-height: 28px;
}

.ats_Input_Item label#Attache-error {
  margin: 0;
  /* background-color: #fff; */
  padding-inline: 8px;
  position: absolute;
  top: -28px;
  width: max-content;
  right: 10px;
  color: var(--Gray-G40, #626262);
  font-size: 12px;
  font-weight: 400;
  line-height: 28px;
  z-index: 8;
}

.ats_Input_Item input,
.ats_Input_Item select {
  border-radius: 4px !important;
  border: 1px solid #cbd5e1 !important;
  height: 48px;
  color: var(--Gray-G20, #3d3d3d);
  font-size: 14px;
  font-weight: 600;
  line-height: 32px;
}

.ats_Input_Item textarea {
  border-radius: 4px !important;
  border: 1px solid #cbd5e1 !important;
  color: var(--Gray-G20, #3d3d3d);
  font-size: 14px;
  font-weight: 600;
  line-height: 32px;
}

.ats_Input_Item input:focus,
.ats_Input_Item select:focus {
  border-color: var(--Primary-P20, #006156) !important;
  box-shadow: none !important;
}

.ats_Input_Item textarea:focus {
  border-color: var(--Primary-P20, #006156) !important;
  box-shadow: none !important;
}

.ats_Input_Item:has(input[type="color"]) {
  border-radius: 4px !important;
  border: 1px solid #cbd5e1 !important;
  height: 48px;
}

.ats_Input_Item input[type="color"] {
  width: 100px;
  padding: 0;
  border-radius: 6px !important;
  position: absolute;
  left: 50px;
  height: 36px;
  top: 50%;
  transform: translateY(-50%);
  border: none !important;
}

.ats_Input_Item:has(input[type="file"])::after {
  content: "";
  position: absolute;
  width: 102px;
  height: 44px;
  left: 2px;
  top: 1px;
  background-color: #fff;
  cursor: pointer;
}

.ats_Input_Item:has(input[type="file"])::before {
  content: "";
  position: absolute;
  top: 20%;
  left: 16px;
  height: 24px;
  width: 24px;
  border-radius: 6px;
  background: url(/DesktopModules/Benvis/AdvancedTicketingSystem/images/file.svg);
  background-repeat: no-repeat;
  background-position: center;
  transform: translateY(-50%);
  z-index: 2;
  cursor: pointer;
}

.ats_Input_Item:has(input[type="color"])::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 16px;
  height: 24px;
  width: 24px;
  border-radius: 6px;
  background: url(/DesktopModules/Benvis/AdvancedTicketingSystem/images/eyedrop.svg);
  background-repeat: no-repeat;
  transform: translateY(-50%);
}

.ats_Input_Item input[type="range"] {
  /* Remove default styling */
  -webkit-appearance: none;
  appearance: none;
  background: transparent;
  width: 100%;
  padding-inline: 30px;
}

.ats_Input_Item input[type="radio"] {
  height: 16px;
  width: 16px;
  border-radius: 50% !important;
  position: absolute;
  right: 0px;
  top: 42%;
  transform: translateY(-50%);
}

.ats_Input_Item:has(.form-check-input) label {
  top: 50% !important;
  transform: translateY(-50%);
  padding-inline-start: 20px;
  background-color: transparent;
}

@media (max-width: 992px) {
  .ats_Input_Item:has(.form-check-input) label {
    top: 34%;
  }
}

/* For WebKit browsers (Chrome, Safari, Edge) */
.ats_Input_Item input[type="range"]::-webkit-slider-runnable-track {
  height: 8px;
  border-radius: 2px;
  background: var(--Gray-G95, #e4e4e4);
  border-radius: 4px;
}

/* For Firefox */
.ats_Input_Item input[type="range"]::-moz-range-track {
  height: 8px;
  background: #ddd;
  border-radius: 4px;
}

/* WebKit */
.ats_Input_Item input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 24px;
  height: 48px;
  background: url(/DesktopModules/Benvis/AdvancedTicketingSystem/images/thumb.svg);
  background-position: center;
  background-size: cover;
  border-radius: 12px;
  cursor: pointer;
  margin-top: -8px; /* Center thumb on track */
  box-shadow: none !important;
  transform: translateY(-12px);
}

/* Firefox */
.ats_Input_Item input[type="range"]::-moz-range-thumb {
  width: 24px;
  height: 48px;
  background: url(/DesktopModules/Benvis/AdvancedTicketingSystem/images/thumb.svg);
  background-position: center;
  background-size: cover;
  border-radius: 12px;
  cursor: pointer;
  margin-top: -8px; /* Center thumb on track */
  box-shadow: none !important;
  transform: translateY(-12px);
}

.ats_Wrapper .ats_Input_Field:nth-of-type(2) {
  margin-top: 20px;
}

.ats_Wrapper .ats_Input_Field:nth-of-type(2) .ats_Input_Item:nth-child(7) {
  grid-area: 3/1/4/3;
}

.ats_Input_Item#AttacheBox input {
  direction: ltr;
  height: 46px;
  margin-bottom: 16px !important;
}

.ats_Input_Item#AttacheBox .form-text {
  color: var(--Gray-G70, #a8a8a8) !important;
  text-align: right;
  font-size: 12px;
  font-weight: 400;
  line-height: 28px;
}

.ats_Input_Item .frmcaptcha {
  display: flex;
  align-items: center;
  gap: 8px;
}

.ats_Input_Item .frmcaptcha img {
  height: 48px;
  margin: 0 !important;
  border-radius: 4px;
}

.ats_Submit {
  border-radius: 4px;
  background: var(--Primary-P40, #008a7a);
  padding: 8px 50px;
  color: var(--Gray-G100, #fff);
  text-align: right;
  font-size: 16px;
  font-weight: 600;
  line-height: 32px;
  border: none !important;
  transition: 0.3s;
  margin-top: 50px;
}

.ats_Submit:hover {
  background: var(--Primary-P50, #03a793);
  margin-inline: auto;
}

.tracking_Submit_Wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (max-width: 992px) {
  .ats_Wrapper {
    padding: 40px 32px;
  }
  .ats_Wrapper .ats_Input_Field {
    display: flex;
    flex-direction: column;
    gap: 24px;
    border: none !important;
  }
}


.captcha-refresh {
  border-radius: 4px 0 0 4px !important;
}

input.captcha-item {
  border-radius: 0 4px 4px 0 !important;
}